package com.fastest.pass.browse.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.browse.utils.NewItemBrowseRoute
import kotlinx.coroutines.flow.MutableStateFlow

class NewItemBrowseViewmodel : ViewModel() {
    private val _router = MutableStateFlow<NewItemBrowseRoute>(NewItemBrowseRoute.OpenNoneScreen)
    val router: MutableStateFlow<NewItemBrowseRoute> = _router

    fun navigateTo(newItemBrowseRoute: NewItemBrowseRoute) {
        _router.value = newItemBrowseRoute
    }
}